=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.08.3-4~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_TESTING=OFF

override_dh_auto_install:
	$(overridden_command)
	# remove dev .so symlinks, we aren't shipping dev suff for these
	find debian/kget -name '*.so' -type l -print -delete
	# remove translations of unbuilt plasma stuff
	rm -f debian/kget/usr/share/locale/*/LC_MESSAGES/plasma_applet_kget.mo
	rm -f debian/kget/usr/share/locale/*/LC_MESSAGES/plasma_runner_kget.mo
