=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0.0~),
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.55.0~),
                gettext,
                libboost-dev,
@@ -44,7 +44,8 @@
                pkg-kde-tools (>= 0.15.16),
                plasma-workspace-dev [linux-any],
                qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kget
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kget.git
