=== debian/changelog ===
kget (4:20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 14:09:08 +0100

kget (4:20.12.1-1) unstable; urgency=medium

  * New upstream release (20.12.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 08 Jan 2021 13:52:19 +0100

kget (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 02 Jan 2021 13:11:14 +0100

kget (4:20.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.2).
  * Refresh copyright information: project metadata is FSF All Permissive.
  * Build with hardening=+all build hardening flag.
  * Refresh upstream metadata.
  * Borrow minimal upstream signing key from k3b.
  * Add description and metadata to the patch removing the embedded mootools
    copies from the package.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 29 Oct 2020 22:50:08 +0100
