=== debian/control ===
--- 
+++ 
@@ -2,11 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           George Kiagiadakis <kiagiadakis.george@gmail.com>,
-           Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.0.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.55.0~),
@@ -44,9 +41,9 @@
                pkg-kde-tools (>= 0.15.16),
                plasma-workspace-dev [linux-any],
                qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://apps.kde.org/en/kget
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kget
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kget.git
