=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 l10npkgs_firstversion_ok := 4:17.08.3-4~
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
@@ -12,8 +14,7 @@
 override_dh_auto_test:
 	:
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# remove dev .so symlinks, we aren't shipping dev suff for these
 	find debian/kget -name '*.so' -type l -print -delete
 	# remove translations of unbuilt plasma stuff
