=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5widgetsaddons-dev (>= 5.55.0~),
                libkf5windowsystem-dev (>= 5.55.0~),
                libkf5xmlgui-dev (>= 5.55.0~),
-               libktorrent-dev (>= 2.1~),
+               libktorrent-dev (>= 20.12.3~),
                libmms-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
                libsqlite3-dev,
