## kget 21.04.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kget VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF5_VERSION "5.55.0")
-set(REQUIRED_QT_VERSION "5.7.0")
+set(KF5_VERSION "5.68.0")
+set(REQUIRED_QT_VERSION "5.12.0")
 
 find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
 
@@ -24,6 +24,7 @@
 include(GenerateExportHeader)
 include(ECMQtDeclareLoggingCategory)
 include(ECMSetupVersion)
+include(ECMSetupQtPluginMacroNames)
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX KGET VERSION_HEADER "kget_version.h")
 
@@ -115,7 +116,9 @@
     add_definitions(-DHAVE_QGPGME)
 endif()
 
-set (KGET_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/kget)
+set (KGET_PLUGIN_INSTALL_DIR ${KDE_INSTALL_PLUGINDIR}/kget)
+
+ecm_setup_qtplugin_macro_names(JSON_NONE KGET_EXPORT_PLUGIN KGET_EXPORT_PLUGIN_CONFIG)
 
 add_subdirectory(conf)
 add_subdirectory(core)
@@ -195,7 +198,8 @@
 ecm_qt_declare_logging_category(kgetcore_SRCS
                                 HEADER kget_debug.h
                                 IDENTIFIER KGET_DEBUG
-                                CATEGORY_NAME kget)
+                                CATEGORY_NAME kget
+                                DESCRIPTION "KGet" EXPORT KGET)
 
 kconfig_add_kcfg_files(kgetcore_SRCS conf/settings.kcfgc)
 
@@ -227,7 +231,7 @@
 
 
 set_target_properties(kgetcore PROPERTIES VERSION 5.0.0 SOVERSION 5 )
-install(TARGETS kgetcore ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS kgetcore ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 
 
 # kget
@@ -325,15 +329,14 @@
   target_link_libraries(kget QGpgme)
 endif()
 
-install(TARGETS kget ${INSTALL_TARGETS_DEFAULT_ARGS})
-
-if (${ECM_VERSION} STRGREATER "5.58.0")
-    install(FILES kget.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-else()
-    install(FILES kget.categories DESTINATION ${KDE_INSTALL_CONFDIR})
-endif()
-
-install(FILES org.kde.kget.appdata.xml DESTINATION ${CMAKE_INSTALL_METAINFODIR})
+install(TARGETS kget ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
+
+ecm_qt_install_logging_categories(
+        EXPORT KGET
+        FILE kget.categories
+        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+        )
+install(FILES org.kde.kget.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
